import requests
url = "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed[
{
"date": "2024-03-25",
"points": [
{
"pipeline": "Feedback",
"count": 73
}
]
},
{
"date": "2024-03-26",
"points": [
{
"pipeline": "FAQ",
"count": 91
}
]
}
]Get accumulated requests consumption details
Returns the accumulated requests consumption for the specified parameters. Each option below returns data for the specified period. Only one option can be used per request. Passing parameters from multiple options returns an error. This endpoint accepts the following options:
-
If no parameters are provided, the current contract period is calculated, then data is returned based on that period.
-
If
startDateandendDateare provided, then the data is returned based on that date range. -
If
licenseIdandperiodIndexare provided, then the data is returned based on that specific period data.
import requests
url = "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/apps-manager/entitlements/requests/accumulated/detailed[
{
"date": "2024-03-25",
"points": [
{
"pipeline": "Feedback",
"count": 73
}
]
},
{
"date": "2024-03-26",
"points": [
{
"pipeline": "FAQ",
"count": 91
}
]
}
]Query Parameters
The results start date, formatted as yyyy-MM-dd.
The results end date, formatted as yyyy-MM-dd.
The entitlements license ID. Use /apps-manager/entitlements/periods to get license IDs.
The entitlement period index in the license. Use /apps-manager/entitlements/periods to get period indices.
Was this page helpful?